:root {
	--yellow: #FBD38D;
	--red: #F56565;
	--blue: #63B3ED;
	--violet: #6f42c1;
}
label.error {
	color:#5a5c69;
	font-size:12px;
	line-height:normal;
	width:100%;
}
input.error{
	width:100% !important;
}
.loaderContainer {
	margin:0;
	height:100%;
	background-color:#1a1940;
	background-image:linear-gradient(180deg, rgba(0,0,0,0.15) 0%, rgba(0,153,212,0) calc(15% + 100px), rgba(0,99,138,0) calc(85% + 100px), rgba(0,0,0,0.15) 100%);
	width:100%;
	position:fixed;
	top:0;
	right:0;
	z-index:9999;
}
div.loaderContainer{
	display:flex;
	justify-content:center;
	align-items:center;
}
div.loaderContainer div{
	width:3vw;
	height:3vw;
	border-radius:100%;
	margin:2vw;
	background-image:linear-gradient(145deg, rgba(255,255,255,0.5) 0%, rgba(0,0,0,0) 100%);
	animation:bounce 1.5s 0.5s linear infinite;
}
.yellow {
	background-color:var(--yellow);
}
.red {
	background-color:var(--red);
	animation-delay:0.1s;
}
.blue {
	background-color:var(--blue);
	animation-delay:0.2s;
}
.violet {
	background-color:var(--violet);
	animation-delay:0.3s;
}
@keyframes bounce {
	0%, 50%, 100% {
		transform:scale(1);
		filter:blur(0px);
	}
	25% {
		transform:scale(0.6);
		filter:blur(3px);
	}
	75% {
		filter:blur(3px);
		transform:scale(1.4);
	}
}
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance:none;
	margin:0;
}
input[type=number] {
	-moz-appearance:textfield;
}
.hidden{display: none !important;}
.required{color:#F00 !important;}
.sidebar__item ul li span{font-size: 16px;color: #1c1c1c;line-height: 39px;display: block;cursor: pointer;}
.sidebar__item ul li span:hover{color: #000; text-transform: uppercase; /*text-shadow: 0px 0px 5px rgba(128, 0, 0, 1);*/}
.sidebar__item ul li span.active{color: #00F; text-transform: uppercase;}
.sidebar__item ul li span.active:after{content: "X"; color: #000; position: relative; float: right; margin-right: 15px;}
.product__item__pic{height: 350px;}
.empty_state{position:relative;width:100%;height:100%;display:flex;flex-direction:column;background:#FFF;padding:25px}
.empty_state i {margin:auto;margin-bottom:0px;font-size:90px;color:#ccc;}
.empty_state h3 {margin:8px 0px;text-align:center;font-weight:normal;}
.empty_state p {font-size:14px;margin:0px;color:#999;text-align:center;}
.input-icons i {position: absolute; color: #dd2222;}
.input-icons {width: 100%;margin-bottom: 10px;}
.icon {padding: 10px;min-width: 40px;}
.price-range-wrap .range-slider .price-input input.input-field {width: 40%;padding: 10px;text-align: center; height:36px; margin-right:20px; border:1px solid #CCC; max-width:40%;}
.price-range-wrap .range-slider .price-input:after {left: 114px; top: 17px;}
.sidebar__item__size label{padding:5px 10px;min-width:110px;font-size:14px;background-color:#FFF;box-shadow:0 0 5px 1px #CCC;}
.sidebar__item__size input{position: absolute;visibility: hidden;}
.sidebar__item__size input:checked+label{background-color:#007bff !important; color:#FFF;}
.sidebar__item h4{margin-bottom:10px !important;}
.product__details__pic__slider .owl-nav .owl-next, .product__details__pic__slider .owl-nav .owl-prev {width: 22px;height: 40px;margin-top: -20px;position: absolute;top: 50%;background: #CCC !important;}
.product__details__pic__slider .owl-nav .owl-prev {left: -15px;}
.product__details__pic__slider .owl-nav .owl-next{right: -15px;}
.product__details__pic__item img{height: 600px;}
.product__details__pic__slider.owl-carousel .owl-item img {height: 150px;}
.primary-btn{border: none !important;}
.primary-btn:disabled{background: #CCC !important; cursor:not-allowed;}
.site-btn:disabled{background: #CCC !important; cursor:not-allowed;}

@keyframes pulse {
	  0% {transform: scale(1);}
	 50% {transform: scale(1.5);}
	100% {transform: scale(1);}
}
.product__details__text .heart-icon{border: none !important;}
.product__details__text .heart-icon.active{color: #F00; animation: pulse 1s ;}

.toggle{display: inline-block;width: 100px;height: 100px;border-radius: 50px;place-items: center;place-content: center;}
#heart-check{position: absolute;visibility: hidden;}
#heart{cursor: pointer;}
#heart svg{width: 40px;}
#heart #stroke{stroke-dasharray: 100;stroke-dashoffset: 100;stroke-linecap: round;stroke-width: 2.5;}
#heart #initial{stroke-width: 1.5;stroke: rgb(203, 66, 116);fill: transparent;}
#heart-check:checked + #heart svg{transform-origin: 50% 50%;animation: heart 500ms cubic-bezier(0.64, -1.5, 0.64, 1.5);animation-fill-mode: forwards;}
#heart-check:checked + #heart #initial{display: none;}
#heart-check:checked + #heart #stroke{animation: stroke 500ms cubic-bezier(.1,.7,.8,.3); animation-fill-mode: forwards;}
@keyframes heart{
	from {transform: scale(1);}
	78% {transform: scale(1.25);}
	to {transform: scale(1);}
}
@keyframes stroke {
	from {stroke: rgb(78, 101, 203);fill: transparent;}
	50% {stroke: rgb(113,75,128);}
	85% {fill: transparent;}
	to {stroke-dashoffset: 0;stroke: rgb(203, 66, 116);fill: rgb(203, 66, 116);}
}

.like-btn {display: inline-block;cursor: pointer;width: 80px;height: 80px;background: url('https://i.ibb.co/vw78mf3/heart.png') no-repeat 0% 50%;background-size: 2900%;}
.like-active {animation-name: animate;animation-duration: .8s;animation-iteration-count: 1;animation-fill-mode: forwards;animation-timing-function: steps(28);}
@keyframes animate {
	  0% {background-position:left; }
	 50% {background-position:right;}
	100% {background-position:right;}
}

.modal-footer{justify-content: center;}
.modal-header .close{margin-top: -1.5rem;}
.form-title{margin: -2rem 0rem 2rem;}
.btn-round{border-radius: 3rem;}
.delimiter{padding: 1rem;}
.social-buttons .btn{margin: 0 0.5rem 1rem;}
.signup-section{padding: 0.3rem 0rem;}

.new-login-area{padding:0px;}
h3{font-size: 24px;line-height: 30px;}
label{font-size: 12px;}
.request-otp-header{margin: 40px 0px;}
.login-label label{color: #c74032;font-weight: 600;}
.input-edit{border: none !important;border-bottom: 2px solid #ccc !important;padding: 6px 0px;opacity: 0.8;}
.input-edit:focus{border-bottom-color: #c74032 !important;box-shadow: none;outline: 0;}
.request-otp{margin-top: 40px;font-size: 14px;color: #fff;}
.request-otp:focus{box-shadow: none;}
.fa-chevron-left{cursor: pointer;}

.title{font-weight:600;font-size:24px;text-align:center;}
.customBtn{border-radius:0px;padding:10px;width:auto;margin:auto;}
#verify-otp form input{display:inline-block;width:50px;height:50px;text-align:center;}

input:-webkit-autofill,
input:-webkit-autofill:hover, 
input:-webkit-autofill:focus,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
	/*border: 1px solid green;
	-webkit-text-fill-color: green;
	-webkit-box-shadow: 0 0 0px 1000px #000 inset;
	transition: background-color 5000s ease-in-out 0s;*/
	border: 1px solid #ebebeb;
	-webkit-text-fill-color: #b2b2b2;
	-webkit-box-shadow: 0 0 0px 1000px #FFF inset;
	transition: background-color 5000s ease-in-out 0s;
}
.shoping__cart__table table tbody tr td.shoping__cart__item img{width:100px; height:100px;}
.share .fa{font-size: 24px;}
.fa-facebook:hover{color: #4267B2 !important;}
.fa-twitter:hover{color: #00acee !important;}
/*.fa-instagram:hover{color: #962fbf !important;}*/
.fa-instagram:hover{
	background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285AEB 90%);
	-webkit-background-clip: text;
	background-clip: text;
	-webkit-text-fill-color: transparent;
}
.fa-whatsapp:hover{color: #25D366 !important;}
.productName{width:180px;float:left;white-space:nowrap;overflow:hidden;text-overflow:ellipsis;font-weight:bold !important;}
label.disabled{color: #bbb; text-decoration:line-through;}
